Package org.springframework.web.server

# Interface WebExceptionHandler

All Known Implementing Classes:
  `ResponseStatusExceptionHandler`

public interface WebExceptionHandler
Contract for handling exceptions during web server exchange processing.

Since:
  5.0
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`handle(ServerWebExchange exchange, Throwable ex)`
Handle the given exception.

## Method Details

### handle

reactor.core.publisher.Mono<Void> handle(ServerWebExchange exchange, Throwable ex)
Handle the given exception. A completion signal through the return value indicates error handling is complete while an error signal indicates the exception is still not handled.

Parameters:
  `exchange` - the current exchange
  `ex` - the exception to handle
Returns:
  `Mono<Void>` to indicate when exception handling is complete